{
  config,
  pkgs,
  inputs,
  ...
}:

{
  services.caddy = {
    enable = true;
    package = inputs.caddy.packages.${pkgs.stdenv.hostPlatform.system}.default;
    email = "nolan@thewordnerd.info";
  };
  age.secrets.tsAuthKey = {
    file = ../secrets/ts_auth_key.age;
    owner = config.services.caddy.user;
    group = config.services.caddy.group;
    mode = "600";
  };
  systemd.services.caddy.serviceConfig.EnvironmentFile = config.age.secrets.tsAuthKey.path;
}
